%% FUNCIÓN MODULACION DATOS QPSK
%<datosQPSK>

%PARÁMETROS DE RETORNO:
%datosQPSK: Vector valores complejos modulados QPSK

%PARÁMETROS DE INGRESO:
%datos: Vector de valores binarios


function datosQPSK=modQPSK(datos)

%Paso requerido para implementar modulación QPSK, sin usar Toolbox de
%comunicaciones

rs=reshape(datos,2,[]);%redimensionamiento para agrupación por pares de datos
rs2=rs(1,:).*2+rs(2,:);% conversión equivalente binario a decimal

datosQPSK=(pskmod(rs2,4,pi/4,'gray')).';% Modulación QPSK con código gray

end

